Module java.base
Package java.security.acl

# Class AclNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.acl.AclNotFoundException

All Implemented Interfaces:
  `Serializable`

    @Deprecated(since="9",
                forRemoval=true)
    public class AclNotFoundException
    extends Exception

Deprecated, for removal: This API element is subject to removal in a future version.
This class is deprecated and subject to removal in a future version of Java SE. It has been replaced by `java.security.Policy` and related classes since 1.2.
This is an exception that is thrown whenever a reference is made to a non-existent ACL (Access Control List).

Since:
  1.1
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AclNotFoundException()` | Deprecated, for removal: This API element is subject to removal in a future version. Constructs an AclNotFoundException.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AclNotFoundException

public AclNotFoundException()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an AclNotFoundException.